#ifndef __DB_MDIO_H__
#define __DB_MDIO_H__

#include "../runtime/db_vm.h"

/* serial i/o definitions */
#define MD_TIMEOUT  -1

/* serial i/o routines */
int md_init(const char *port, unsigned long baud);
void md_done(void);
int md_get(int timeout);
int md_write(uint8_t *buf, int len);
void md_reset(void);

#endif
