#include <stdlib.h>
#include "db_vm.h"

Interpreter interp;

int main(int argc, char *argv[])
{
    const uint8_t *image;
    uint8_t *data;
    uint16_t dataSize;

    VM_sysinit(argc, argv, &image, &data, &dataSize);

    VM_printf(str_program_id, FILE_VERSION >> 8, FILE_VERSION & 0xff);

    if (InitInterpreter(&interp, image, data, dataSize))
        Execute(&interp);

for (;;);
    return 0;
}
