#ifndef __VMLIBAVR_H__
#define __VMLIBAVR_H__

#include <stdint.h>
#include <string.h>

typedef unsigned int VMCODEBASE_t;

#define VMCODEBASE(p)			0
#define VMCODEADDR(p)			(p)

#define FLASH_SPACE

#define VMCODEBYTE(p)	        (*p)
#define VMCODECOPY(d, s, c)     memcpy(d, s, c)
#define VMINTRINSIC(i)          Intrinsics[i]
#define VMCOPY(d, s, c, h)      memcpy(d, s, c)
#define VMGETBYTE(p, h)         ((h) ? *(uint8_t *)(p) : VMCODEBYTE(p))
#define VMSTRLEN(p)             strlen((char *)p)
#define VMSTRNCMP(a, b, n)      strncmp((char *)a, (char *)b, n)
#define VMVSNPRINTF             vsnprintf

#endif
