' 2010-11-24 initial version
con
  _free     = ($8000 - METADATABUFFER) / 4

obj
  drv  : "isxfs"                       ' FAT File System Read/Write
  spi  : "isxspi"                      ' Driver for other SPI devices
  dsp  : "isxtv"                       ' Sphinx TV Text Driver
  kbd  : "isxkb"                       ' Sphinx Keyboard Driver
  
var
  long fcb[4]
  long filestuff[drv#SIZEOFFILESTUFF/4]

pub main
  dsp.str(string("Test Program 2",13))
  dsp.str(string("Flash: "))
  dsp.dec((spi.start * spi#secSize) >> 10)
  dsp.str(string("K free out of "))
  dsp.dec(spi.flashSize >> 20)
  dsp.str(string("MB",13))
  longfill(@fcb,-1,4)                  ' initialize FCB

  if drv.open(@filestuff,string("sphinx.bin"),"R")
    dsp.str(string("File not found",13))
  showSectors
  drv.close(@filestuff)
  dsp.str(string("Press any key to exit"))
  kbd.getkey                           ' wait for keypress
  dsp.out(13)
  reboot
  
pri showSectors | i, j, f0,f1,f2,f3    ' display sector headers
  repeat i from 0 to (spi.flashsize >> 12) - 1
    dsp.hex(i,3)
    dsp.out(" ")
    spi.readData(i<<12,@f0,16)         ' read sector header
    if f0.byte == $FF
      dsp.str(string(8,8,8,8))
    else
      repeat j from 0 to 7
        if f0.byte[j] <> $FF
          if f0.byte[j] < $20 or f0.byte[j] > $7E
            dsp.out("$")
            dsp.hex(f0.byte[j],2)
          else
            dsp.out(f0.byte[j])
      dsp.out(".")
      repeat j from 8 to 10
        if f0.byte[j] <> $FF
          if f0.byte[j] < $20 or f0.byte[j] > $7E
            dsp.out("$")
            dsp.hex(f0.byte[j],2)
          else
            dsp.out(f0.byte[j])
      dsp.out(" ")
      dsp.hex(f0.byte[11],2)
      dsp.out(" ")
      dsp.hex(f0.word[6],4)
      dsp.out(" ")
      dsp.hex(f0.word[7],4)
      dsp.out(13)

